VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Properties
VisiMath.Geometry.Geometry Class Reference

Base vertex based class for all geometries. More...

Inheritance diagram for VisiMath.Geometry.Geometry:

List of all members.

## Public Member Functions
| Geometry (System.Xml.XmlReader reader)
| XML reader constructor.
virtual Vector3 | GetPosition (int index)
| Returns position of the vertex on specified index.
virtual Vector3[] | GetAllPositions ()
| Returns all positional vertices in simple array.
virtual void | GetPosition (int index, out Vector3 vec)
| Returns position of the vertex on specified index.
virtual IVertex | GetVertex (int index)
| Returns vertex on the specified index.
override void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
override void | WriteXml (System.Xml.XmlWriter writer)
| Serializes object to XML.
## Public Attributes
IVertexArray | Vertices
| Vertices of the geometry.
## Protected Member Functions
| Geometry ()
| default constructor
| Geometry (int count)
| Constructs Geometry with vertex array with specified number of vertices Uses basic Vertex type.
| Geometry (IVertexArray vert)
| Construct geometry from vertexarray of vertices.
| Geometry (Type VertexType, IVertexArray vert)
| Construct geometry from vertexarray of vertices with different type.
| Geometry (Type vertextype, int count)
| Constructs geometry with specified count of the vertices.
void | Construct< T > (int count)
| Constructs geometry with specified count of the vertices.
## Properties
override Vector3 | Center`[get]`
| Center of the object.
override Type | PreferredVertexType`[get]`
| Preferred type of the vertex.

## Detailed Description

Base vertex based class for all geometries.

## Constructor & Destructor Documentation

VisiMath.Geometry.Geometry.Geometry | ( |  | ) | `[protected]`

default constructor

VisiMath.Geometry.Geometry.Geometry | ( | int | count | ) | `[protected]`

Constructs Geometry with vertex array with specified number of vertices Uses basic Vertex type.

Parameters:

  count | Number of vertices

VisiMath.Geometry.Geometry.Geometry | ( | IVertexArray | vert | ) | `[protected]`

Construct geometry from vertexarray of vertices.

Parameters:

  vert | Vertex array with vertices

VisiMath.Geometry.Geometry.Geometry | ( | Type | VertexType,
|  | IVertexArray | vert
| ) |  | `[protected]`

Construct geometry from vertexarray of vertices with different type.

Parameters:

  vert | Vertex array with vertices
  VertexType | Required type of the vertex

VisiMath.Geometry.Geometry.Geometry | ( | Type | vertextype,
|  | int | count
| ) |  | `[protected]`

Constructs geometry with specified count of the vertices.

Parameters:

  vertextype | Required type of the vertex
  count | Number of vertices

VisiMath.Geometry.Geometry.Geometry | ( | System.Xml.XmlReader | reader | ) |

XML reader constructor.

Parameters:

  reader | XML reader

## Member Function Documentation

void VisiMath.Geometry.Geometry.Construct< T > | ( | int | count | ) | `[protected]`

Constructs geometry with specified count of the vertices.

Parameters:

  count | Number of vertices

Template Parameters:

  T | Type of the vertex

Type Constraints

  T | : | IVertex |

virtual Vector3 [] VisiMath.Geometry.Geometry.GetAllPositions | ( |  | ) | `[virtual]`

Returns all positional vertices in simple array.

Returns:
  Array of all positional vertices

virtual Vector3 VisiMath.Geometry.Geometry.GetPosition | ( | int | index | ) | `[virtual]`

Returns position of the vertex on specified index.

Parameters:

  index | Vertex index

Returns:
  Position data

virtual void VisiMath.Geometry.Geometry.GetPosition | ( | int | index,
|  | out Vector3 | vec
| ) |  | `[virtual]`

Returns position of the vertex on specified index.

Parameters:

  index | Vertex index
  vec | Position data

Reimplemented in VisiMath.Geometry.IndexedGeo.

virtual IVertex VisiMath.Geometry.Geometry.GetVertex | ( | int | index | ) | `[virtual]`

Returns vertex on the specified index.

Parameters:

  index | Index of the vertex

Returns:
  Vertex

Reimplemented in VisiMath.Geometry.IndexedGeo.

override void VisiMath.Geometry.Geometry.ReadXml | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Deserializes object from XML.

Parameters:

  reader | XML reader

Implements VisiMath.Geometry.BaseGeometry.

Reimplemented in VisiMath.Geometry.IndexedGeo, VisiMath.Geometry.Pyramid, and VisiMath.Geometry.Ring.

override void VisiMath.Geometry.Geometry.WriteXml | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Serializes object to XML.

Parameters:

  writer | XML writer to save values

Implements VisiMath.Geometry.BaseGeometry.

Reimplemented in VisiMath.Geometry.IndexedGeo, VisiMath.Geometry.Pyramid, and VisiMath.Geometry.Ring.

## Member Data Documentation

IVertexArray VisiMath.Geometry.Geometry.Vertices

Vertices of the geometry.

## Property Documentation

override Vector3 VisiMath.Geometry.Geometry.Center`[get]`

Center of the object.

Reimplemented from VisiMath.Geometry.BaseGeometry.

Reimplemented in VisiMath.Geometry.ConvexHull, VisiMath.Geometry.Point3D, VisiMath.Geometry.Pyramid, and VisiMath.Geometry.Ring.

override Type VisiMath.Geometry.Geometry.PreferredVertexType`[get]`

Preferred type of the vertex.

Reimplemented from VisiMath.Geometry.BaseGeometry.

The documentation for this class was generated from the following file:

- Geometry.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events